GARLIC(1)

NAME
garlic - molecular visualization program

SYNOPSIS
garlic [Garlic options] [X11 options] [filename]

DESCRIPTION
This manual page briefly documents garlic, a free molecular visualization program. Extensive documentation in HTML format and sources may be found at garlic home, <URL:http://www.zucic.org/garlic/>. Physical location: School of Medicine, University of Osijek, Croatia, Europe. Precompiled packages for a number of GNU/Linux distributions are available. These include Debian, SuSE, Mandriva, Linspire and a number of other distros. The HTML documentation may be downloaded and unpacked for local use (recommended usage). Here you can find a very short description of the program and the list of command line options.

garlic is a molecular visualization program originally written for investigation of membrane proteins. Now it may be used to visualize and simple editing of all proteins and molecules. This version recognizes PDB format version 2.1; see the source file pdb_atom.c for details about this format.

OPTIONS
Command line options may be divided in two groups: true (specific) garlic options and X11 options. Options may be given in any order. All options and hard-coded default values are listed in the table below. For each parameter, the value defined through command line is used, if available. If not, the value defined in .garlicrc file is used. If .garlicrc file is not available, or there is no corresponding entry in this file, the hard-coded default value is used. The sample .garlicrc file included in the original package contains the values equal to hard-coded defaults.

  garlic options:

-h, --help
    Print help and exit.

-v, --version
    Print version and exit.

-r, --register
    Register garlic: inform author that your site has garlic installed and that someone is going to use this program. By registering, you are encouraging author to continue development of garlic. You can also help author to ensure support for further development. This option sends one short e-mail message, containing only the e-mail message header and the word 'Hi!',to <zucic@garlic.mefos.hr>. Please execute garlic -r if you are going to use this program. If you are not connected to the Internet, consider sending a short message from some other system.

-nosys
    Hide the coordinate system icon (top left corner).

-no-control
    Hide the control window (upper right corner).

-stereo
    Display stereo image.

-slab mode
    Default slab mode. Available slab modes are: off, planar (default), sphere, half-sphere, cylinder and half cylinder.

-fading mode
    Default color fading mode. Available modes: off, planar (default), sphere, half-sphere, cylinder and half cylinder.

-as number
    Default atom drawing style (hard-coded default: 2).

-bs number
    Default bond drawing style (hard-coded default: 2).

-fs number
    Default number of color fading surfaces. Parallel planes, concentric spheres or concentric cylinders may be used as fading surfaces. Three RGB triplets are assigned to each surface. Surfaces are evenly spaced; at least one and at most eight should be defined. At least three colors (left, middle and right) are assigned to each visible atom. These three colors are based on the position of a given atom relative to the nearest fading surface(s) and on colors assigned to these surfaces. Colors are combined using linear weighting.

-lc<i> color
    Left color at the i-th surface; i is between zero and seven. The color string should be compliant with X11R5. Blue, for example, may be defined as blue or as RGB:0000/0000/FFFF etc. For example -lc4 RGB:BBBB/8888/4444 defines the left color at the surface whose index is equal to four.

-mc<i> color
    Middle color at the i-th surface.

-rc<i> color
    Right color at the i-th surface.

-pc, --print-config
    Print configuration data and exit.

-pcn
    Print cursor names to stdout and exit.

-log logfile
    Write commands and messages to log file. The file will be created in the current working directory. If this is not possible, log file will be created in users home directory.

  X11 option:

-display displayname
    X server to contact.

-geometry geom
    Window geometry (default: almost the whole screen).

-bg color
    Main window background color (default is black).

-fg color
    Main window foreground color (default: white).

-fn fontname
    Text font; (default is 10x20).

-tbg color
    Text background color (default is black).

-tfg color
    Text color (default is white).

-cursor cursorname
    Cursor name; see /usr/include/X11/cursorfont.h for names; remove the XC_ prefix.

FILES

The configuration file is searched in the following order:
    ./.garlicrc
    ${HOME}/.garlicrc
    ${HOME}/garlic/.garlicrc
    /usr/share/garlic/.garlicrc
    /etc/garlicrc
    /usr/local/lib/garlic/.garlicrc
    /usr/lib/garlic/.garlicrc

SEE ALSO
The program is fully documented in the garlic-doc package available on Debian GNU/Linux system.

There is also documentation online at <URL:http://www.zucic.org/garlic/docs.html>.

AUTHOR
garlic was written by Damir Zucić <zucic@garlic.mefos.hr>, University of Osijek, Croatia, Europe. He died in September 2007.

The original man page was written by zhaoway <zw@debian.org>, for the Debian GNU system and later modified by Damir Zucić.